@mixin font-face($font-name, $file-path, $file-name, $weight: normal, $style: normal) { 
  @font-face {
    font-family: quote($font-name);
    // src: url($file-path + $file-name + '.eot');
    // src: url($file-path + $file-name + '.eot?#iefix') format('embedded-opentype'),
    src: url('../fonts/' + $file-path + '/' + $file-name + '.woff2') format('woff2'),
         url('../fonts/' + $file-path + '/' + $file-name + '.woff') format('woff'),
         url('../fonts/' + $file-path + '/' + $file-name + '.ttf')  format('truetype');
         // url($file-path + $file-name + '.svg##{$font-name}')  format('svg');
    font-weight: $weight;
    font-style: $style;
  }
 }

@include font-face($font-light, 'OpenSans', 'opensans-light-webfont');
@include font-face($font-regular, 'OpenSans', 'opensans-regular-webfont');
@include font-face($font-bold, 'OpenSans', 'opensans-bold-webfont');
@include font-face($font-semibold, 'OpenSans', 'opensans-semibold-webfont');
